org.apache.lucene.facet.sampling

## Interface SampleFixer

    public interface SampleFixer

Fixer of sample facet accumulation results

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

Methods
`void` `fixResult(ScoredDocIDs origDocIds, FacetResult fres)` Alter the input result, fixing it to account for the sampling.

### Method Detail

#### fixResult

    void fixResult(ScoredDocIDs origDocIds,
                 FacetResult fres)
                   throws IOException

Alter the input result, fixing it to account for the sampling. This implementation can compute accurate or estimated counts for the sampled facets. For example, a faster correction could just multiply by a compensating factor.

Parameters:
  `origDocIds` - full set of matching documents.
  `fres` - sample result to be fixed.
Throws:
  `IOException` - If there is a low-level I/O error.